Load Module Error

471
3
Jump to solution
08-18-2021 11:39 AM
Labels (1)
DavidColey
Frequent Contributor

Hi  - in downloading and deploying my 1.5 version experience to my webserver, the app console log is showing that its missing the jimu-for-builder module.

For builds that are constructed from a portal-registered EB 1.5 dev environment is this normal?  Should the jimu-for-builder module be part of the zipped download?

Thanks-

David

Tags (1)
1 Solution

Accepted Solutions
Junshan_Liu
New Contributor III

The jimu-for-builder package is not included in the download package, this package should not be required when app is launched out of builder. Do you have a custom widget requires it, or do you find some of OOB widgets require it? A workaround is you can copy this package from client/dist to your download package.

View solution in original post

0 Kudos
3 Replies
Junshan_Liu
New Contributor III

The jimu-for-builder package is not included in the download package, this package should not be required when app is launched out of builder. Do you have a custom widget requires it, or do you find some of OOB widgets require it? A workaround is you can copy this package from client/dist to your download package.

0 Kudos
DavidColey
Frequent Contributor

Thanks for the reply, that's what I thought too... I do not have a custom widget included yet, but was having trouble with the OOB Query widget, which is not displaying any of it's form elements.  As if it can't read from the source layer, even though the source is the webmap, and all layers are public.  The Layerlist widget does display the same layer I am trying to query. 

I did try copying the package into the download - all that did was then make the deployed app prompt for my portal credentials.  The oob query widget issue is a separate question, so I'll re-post that issue if I can't resolve....

0 Kudos
DavidColey
Frequent Contributor
0 Kudos